libyui-qt-devel-2.47.1-13.fc29.x86_64.rpm


Advertisement

Description

libyui-qt-devel - Files needed for developing with libyui-qt

Property Value
Distribution Fedora 29
Repository Fedora x86_64
Package name libyui-qt-devel
Package version 2.47.1
Package release 13.fc29
Package architecture x86_64
Package type rpm
Installed size 354.91 KB
Download size 79.98 KB
Official Mirror download-ib01.fedoraproject.org
libyui can be used independently of YaST for generic (C++)
applications and has very few dependencies.
You do NOT need this package for developing with libyui.
Using libyui-devel is sufficient for such purpose.  This
package is only needed when you want to develop an extension
for libyui-qt which is not covered within the UI-plugin.

Alternatives

Package Version Architecture Repository
libyui-qt-devel-2.47.1-13.fc29.i686.rpm 2.47.1 i686 Fedora
libyui-qt-devel-2.47.1-13.fc29.i686.rpm 2.47.1 i686 Fedora
libyui-qt-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
cmake-filesystem(x86-64) -
fontconfig-devel(x86-64) -
libyui-devel(x86-64) -
libyui-qt(x86-64) = 2.47.1-13.fc29
libyui-qt.so.8()(64bit) -
qt5-qtbase-devel(x86-64) -
qt5-qtsvg-devel(x86-64) -
qt5-qtx11extras-devel(x86-64) -

Provides

Name Value
cmake(Libyui-qt) = 2.47.1
libyui-qt-devel = 2.47.1-13.fc29
libyui-qt-devel(x86-64) = 2.47.1-13.fc29
pkgconfig(libyui-qt) = 2.47.1

Download

Type URL
Binary Package libyui-qt-devel-2.47.1-13.fc29.x86_64.rpm
Source Package libyui-qt-2.47.1-13.fc29.src.rpm

Install Howto

Install libyui-qt-devel rpm package:

# dnf install libyui-qt-devel

Files

Path
/usr/include/yui/qt/QY2CharValidator.h
/usr/include/yui/qt/QY2ComboTabWidget.h
/usr/include/yui/qt/QY2DiskUsageList.h
/usr/include/yui/qt/QY2HelpDialog.h
/usr/include/yui/qt/QY2ListView.h
/usr/include/yui/qt/QY2RelNotesDialog.h
/usr/include/yui/qt/QY2StyleEditor.h
/usr/include/yui/qt/QY2Styler.h
/usr/include/yui/qt/YQAlignment.h
/usr/include/yui/qt/YQApplication.h
/usr/include/yui/qt/YQBarGraph.h
/usr/include/yui/qt/YQBusyIndicator.h
/usr/include/yui/qt/YQButtonBox.h
/usr/include/yui/qt/YQCheckBox.h
/usr/include/yui/qt/YQCheckBoxFrame.h
/usr/include/yui/qt/YQComboBox.h
/usr/include/yui/qt/YQContextMenu.h
/usr/include/yui/qt/YQDateField.h
/usr/include/yui/qt/YQDialog.h
/usr/include/yui/qt/YQDownloadProgress.h
/usr/include/yui/qt/YQDumbTab.h
/usr/include/yui/qt/YQEmpty.h
/usr/include/yui/qt/YQFrame.h
/usr/include/yui/qt/YQGenericButton.h
/usr/include/yui/qt/YQGraphPluginIf.h
/usr/include/yui/qt/YQGraphPluginStub.h
/usr/include/yui/qt/YQImage.h
/usr/include/yui/qt/YQInputField.h
/usr/include/yui/qt/YQIntField.h
/usr/include/yui/qt/YQLabel.h
/usr/include/yui/qt/YQLayoutBox.h
/usr/include/yui/qt/YQLogView.h
/usr/include/yui/qt/YQMainWinDock.h
/usr/include/yui/qt/YQMenuButton.h
/usr/include/yui/qt/YQMultiLineEdit.h
/usr/include/yui/qt/YQMultiProgressMeter.h
/usr/include/yui/qt/YQMultiSelectionBox.h
/usr/include/yui/qt/YQOptionalWidgetFactory.h
/usr/include/yui/qt/YQPackageSelectorPluginIf.h
/usr/include/yui/qt/YQPackageSelectorPluginStub.h
/usr/include/yui/qt/YQPartitionSplitter.h
/usr/include/yui/qt/YQProgressBar.h
/usr/include/yui/qt/YQPushButton.h
/usr/include/yui/qt/YQRadioButton.h
/usr/include/yui/qt/YQRadioButtonGroup.h
/usr/include/yui/qt/YQReplacePoint.h
/usr/include/yui/qt/YQRichText.h
/usr/include/yui/qt/YQSelectionBox.h
/usr/include/yui/qt/YQSignalBlocker.h
/usr/include/yui/qt/YQSlider.h
/usr/include/yui/qt/YQSpacing.h
/usr/include/yui/qt/YQSquash.h
/usr/include/yui/qt/YQTable.h
/usr/include/yui/qt/YQTimeField.h
/usr/include/yui/qt/YQTimezoneSelector.h
/usr/include/yui/qt/YQTree.h
/usr/include/yui/qt/YQUI.h
/usr/include/yui/qt/YQWidgetCaption.h
/usr/include/yui/qt/YQWidgetFactory.h
/usr/include/yui/qt/YQWizard.h
/usr/include/yui/qt/YQWizardButton.h
/usr/include/yui/qt/YQi18n.h
/usr/include/yui/qt/utf8.h
/usr/lib64/cmake/libyui-qt/Libyui-qtConfig.cmake
/usr/lib64/cmake/libyui-qt/Libyui-qtConfigVersion.cmake
/usr/lib64/cmake/libyui-qt/Libyui-qtLibraryDepends-release.cmake
/usr/lib64/cmake/libyui-qt/Libyui-qtLibraryDepends.cmake
/usr/lib64/pkgconfig/libyui-qt.pc
/usr/lib64/yui/libyui-qt.so
/usr/share/doc/libyui-qt/libyui-qt.changes

Changelog

See libyui-qt-2.47.1-13.fc29.x86_64.rpm changelog.

See Also

Package Description
libyui-qt-doc-2.47.1-13.fc29.noarch.rpm Documentation files for libyui-qt
libyui-qt-graph-2.44.6-3.fc29.i686.rpm Qt Graph Widget for libyui
libyui-qt-graph-2.44.6-3.fc29.x86_64.rpm Qt Graph Widget for libyui
libyui-qt-graph-devel-2.44.6-3.fc29.i686.rpm Files needed for developing with libyui-qt-graph
libyui-qt-graph-devel-2.44.6-3.fc29.x86_64.rpm Files needed for developing with libyui-qt-graph
libyui-qt-graph-doc-2.44.6-3.fc29.noarch.rpm Documentation files for libyui-qt-graph
libyuv-0-0.31.20180904git9a07219.fc29.i686.rpm YUV conversion and scaling functionality library
libyuv-0-0.31.20180904git9a07219.fc29.x86_64.rpm YUV conversion and scaling functionality library
libyuv-devel-0-0.31.20180904git9a07219.fc29.i686.rpm The development files for libyuv
libyuv-devel-0-0.31.20180904git9a07219.fc29.x86_64.rpm The development files for libyuv
libzapojit-0.0.3-14.fc29.i686.rpm GLib/GObject wrapper for the OneDrive and Hotmail REST APIs
libzapojit-0.0.3-14.fc29.x86_64.rpm GLib/GObject wrapper for the OneDrive and Hotmail REST APIs
libzapojit-devel-0.0.3-14.fc29.i686.rpm Development files for libzapojit
libzapojit-devel-0.0.3-14.fc29.x86_64.rpm Development files for libzapojit
libzdb-3.1-7.fc29.i686.rpm Small, easy to use Database Connection Pool Library
Advertisement
Advertisement